# stg-diff(1) Manual Page

## NAME

stg-diff - Show a diff

## SYNOPSIS

    stg diff [OPTIONS] [path]…

## DESCRIPTION

Show the diff (default) or diffstat between the current working copy or a tree-ish object and another tree-ish object (defaulting to HEAD). File names can also be given to restrict the diff output. The tree-ish object has the format accepted by the stg id command.

## OPTIONS

-r <revspec>
--range=<revspec>

  Show diff between specified revisions. Revisions ranges are specified as rev1[..[rev2]]. The revisions may be standard Git revision specifiers or patches.

-s
--stat

  Show the stat instead of the diff

-O <option>
--diff-opt=<option>

  Pass additional <option> to `git diff`.

  See the git-diff(1) man page. This option may be specified multiple times.

## StGit

Part of the StGit suite - see stg(1)